#!/bin/sh

if [ $# -ne 1 ]; then
  echo "書式エラー：$0 の後にサーバーのアドレスを入力してください。" 1>&2
  echo "スクリプトを停止します。" 1>&2 
  exit 1
fi

_PLIST="/Library/Preferences/com.apple.AppleShareClient"

echo "パスワードを入力してください。"

sudo chmod o+w /Library/Preferences
sudo defaults write $_PLIST afp_host_prefs_version -int 1
sudo mkdir /mount_afp
sudo mount_afp afp://No%20User%20Authent@$1 /mount_afp
sudo rmdir /mount_afp

if [ -e ${_PLIST}.plist ]; then
  echo "システムを再起動してください。"
else
  echo "システムファイルの作成に失敗しました。"
fi

